Bug 1266539 - OData DELETE nonexisting row - wrong response code
OData DELETE nonexisting row - wrong response code
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR1
: 6.3.0
Assigned To: Van Halbert
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 10:33 EDT by Van Halbert
Modified: 2016-08-24 07:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: TEIID-3686
Environment:
Last Closed: 2016-08-24 07:46:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3686 Major Closed OData DELETE nonexisting row - wrong response code 2016-08-01 08:54 EDT

  None (edit)
Comment 1 JBoss JIRA Server 2016-01-27 16:25:02 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3686 to Closed
Comment 2 Juraj Duráni 2016-06-20 06:21:10 EDT
Setting this to ASSIGNED.

- OData V2 still returns 200 (OK) for first and second delete call. 
- OData v4 returns 204 (No Content) for first call and 304 (Not Modified) for second call. 
 -- The question is, whether this is good or not. Requirements from the description says, that response should be 404 [1]. It may seem that 304 is right, but user specifies URL of the resource which does not exist, and therefore OData service should return 404 (Not found) [1].

My conclusion:
- BZ is not fixed in OData V2 at all.
- BZ is fixed in OData V4 only partially.


[1] However, reporter did not provide any relevant document/specification which supports this assumption.
[2] This is relevant to any HTTP method, not only GET. http://docs.oasis-open.org/odata/odata/v4.0/errata02/os/complete/part1-protocol/odata-v4.0-errata02-os-part1-protocol-complete.html#_Toc406398258
Comment 3 JBoss JIRA Server 2016-06-20 08:14:25 EDT
Van Halbert <vhalbert@jboss.org> updated the status of jira TEIID-3686 to Reopened
Comment 4 JBoss JIRA Server 2016-06-22 17:35:30 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3686 to Resolved
Comment 5 Juraj Duráni 2016-06-27 08:32:40 EDT
Setting blocker flag to ?. We should include fix for OData V4 service prior to official support of that API. The fix includes change in the API (returned HTTP status code).
Comment 8 Juraj Duráni 2016-08-01 06:15:09 EDT
Verified.
ODataV2 service returns 404 on second DELETE request.
ODataV4 service returns 204 on second DELETE request.
Comment 9 JBoss JIRA Server 2016-08-01 08:54:46 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3686 to Closed

Note You need to log in before you can comment on or make changes to this bug.